DROP TABLE IF EXISTS abuse_report;

CREATE TABLE abuse_report (
  Id bigint(20) NOT NULL auto_increment,
  ById bigint(20) NOT NULL default '0',
  Against bigint(20) NOT NULL default '0',
  Reason varchar(200) NOT NULL default '',
  Date int(15) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS admin_forum_settings;

CREATE TABLE admin_forum_settings (
  Id int(10) unsigned NOT NULL auto_increment,
  CommunityPhoto varchar(255) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS admin_groups;

CREATE TABLE admin_groups (
  GroupId mediumint(9) NOT NULL auto_increment,
  GroupTitle varchar(100) NOT NULL default '',
  PRIMARY KEY  (GroupId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS admin_module_access;

CREATE TABLE admin_module_access (
  GroupId int(11) NOT NULL default '0',
  ModuleId int(11) NOT NULL default '0'
) TYPE=MyISAM;

DROP TABLE IF EXISTS admin_module_category;

CREATE TABLE admin_module_category (
  CategoryId mediumint(9) NOT NULL auto_increment,
  CategoryTitle varchar(100) NOT NULL default '',
  PRIMARY KEY  (CategoryId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS admin_modules;

CREATE TABLE admin_modules (
  ModuleId int(11) NOT NULL auto_increment,
  CategoryId mediumint(9) NOT NULL default '0',
  ModuleTitle varchar(100) NOT NULL default '',
  ModuleFile varchar(100) NOT NULL default '',
  PRIMARY KEY  (ModuleId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS admin_users;

CREATE TABLE admin_users (
  AdminId int(11) NOT NULL auto_increment,
  Username varchar(15) NOT NULL default '',
  Password varchar(50) NOT NULL default '',
  FirstName varchar(50) NOT NULL default '',
  LastName varchar(50) NOT NULL default '',
  Email varchar(255) NOT NULL default '',
  GroupId mediumint(9) NOT NULL default '0',
  Status tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (AdminId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS album;

CREATE TABLE album (
  Id int(11) NOT NULL auto_increment,
  MemberId int(10) unsigned NOT NULL default '0',
  Name varchar(50) NOT NULL default '',
  Type enum('1','2') NOT NULL default '1',
  Age_Rectrict tinyint(1) NOT NULL default '0',
  Posted_Date date NOT NULL default '0000-00-00',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS album_photos;

CREATE TABLE album_photos (
  Id int(11) NOT NULL auto_increment,
  Album_Id int(10) unsigned NOT NULL default '0',
  Image varchar(255) NOT NULL default '',
  Description varchar(255) NOT NULL default '',
  Cover tinyint(1) unsigned NOT NULL default '0',
  Posted_date date NOT NULL default '0000-00-00',
  keywords text NOT NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS announcements;

CREATE TABLE announcements (
  Id mediumint(9) NOT NULL auto_increment,
  Text text NOT NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;



DROP TABLE IF EXISTS avatars;

CREATE TABLE avatars (
  AvatarId bigint(11) NOT NULL auto_increment,
  Image varchar(25) NOT NULL default '',
  Personal smallint(6) NOT NULL default '0',
  PRIMARY KEY  (AvatarId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS blog_category;

CREATE TABLE blog_category (
  cat_id tinyint(2) NOT NULL auto_increment,
  cat_desc varchar(64) NOT NULL default '',
  blog_id int(11) NOT NULL default '0',
  blog_name varchar(100) NOT NULL default '',
  PRIMARY KEY  (cat_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS blog_comment;

CREATE TABLE blog_comment (
  comment_id int(5) NOT NULL auto_increment,
  post_id int(5) NOT NULL default '0',
  comment_subject text NOT NULL,
  com_tstamp varchar(10) NOT NULL default '',
  poster varchar(64) NOT NULL default '',
  email varchar(128) NOT NULL default '',
  home varchar(128) NOT NULL default '',
  comments text NOT NULL,
  comment_type enum('comment','linkback','trackback','pingback') NOT NULL default 'comment',
  ip varchar(16) NOT NULL default '',
  PRIMARY KEY  (comment_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS blog_posts;

CREATE TABLE blog_posts (
  post_id smallint(5) unsigned NOT NULL auto_increment,
  user_id varchar(4) NOT NULL default '',
  BlogName varchar(100) NOT NULL default '',
  subject tinytext,
  message longtext,
  timestamp int(11) NOT NULL default '0',
  cat_id tinyint(2) NOT NULL default '0',
  allow_tb char(1) NOT NULL default '',
  link varchar(200) NOT NULL default '',
  PRIMARY KEY  (post_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS blog_setting;

CREATE TABLE blog_setting (
  Id int(11) NOT NULL auto_increment,
  UserId int(11) NOT NULL default '0',
  BlogName varchar(100) NOT NULL default '',
  Title varchar(150) NOT NULL default '',
  Description varchar(255) NOT NULL default '',
  Comment char(1) NOT NULL default 'y',
  CommentBy int(2) NOT NULL default '0',
  NotificationEmail varchar(100) NOT NULL default '',
  SendEmailAddress varchar(100) NOT NULL default '',
  Weblog char(1) NOT NULL default 'y',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS blog_template;

CREATE TABLE blog_template (
  Id int(11) NOT NULL auto_increment,
  Name varchar(100) NOT NULL default '',
  Image varchar(200) NOT NULL default '',
  SamplePath varchar(200) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS blog_user;

CREATE TABLE blog_user (
  id tinyint(4) NOT NULL auto_increment,
  MemberId int(11) NOT NULL default '1',
  blogName varchar(50) NOT NULL default '',
  level tinyint(1) NOT NULL default '0',
  session_time int(11) NOT NULL default '0',
  LastUpdate int(11) NOT NULL default '0',
  TemplateId int(3) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS build;

CREATE TABLE build (
  Id smallint(6) NOT NULL auto_increment,
  Name varchar(30) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS bulletins;

CREATE TABLE bulletins (
  Id int(11) NOT NULL auto_increment,
  Title varchar(60) NOT NULL default '',
  Description text NOT NULL,
  MemberId bigint(20) NOT NULL default '0',
  PostDate int(15) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS children;

CREATE TABLE children (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(30) default NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;



DROP TABLE IF EXISTS classi_ads;

CREATE TABLE classi_ads (
  AdId int(11) NOT NULL auto_increment,
  CategoryId int(11) NOT NULL default '0',
  AdTitle varchar(100) NOT NULL default '',
  AdDate varchar(15) NOT NULL default '0',
  AdActive int(11) NOT NULL default '0',
  AdClicked int(11) NOT NULL default '0',
  AdResponded int(11) NOT NULL default '0',
  MemberId bigint(20) NOT NULL default '0',
  AdExpiry varchar(15) NOT NULL default '0',
  PRIMARY KEY  (AdId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS classi_ads_rating;

CREATE TABLE classi_ads_rating (
  RatingId int(11) NOT NULL auto_increment,
  AdId int(11) NOT NULL default '0',
  Score smallint(6) NOT NULL default '0',
  Reason varchar(255) NOT NULL default '',
  MemberId bigint(20) NOT NULL default '0',
  PRIMARY KEY  (RatingId)
) TYPE=MyISAM;



DROP TABLE IF EXISTS classi_ads_text;

CREATE TABLE classi_ads_text (
  FdId int(11) NOT NULL default '0',
  AdId int(11) NOT NULL default '0',
  Value text NOT NULL
) TYPE=MyISAM;

DROP TABLE IF EXISTS classi_category;

CREATE TABLE classi_category (
  Id int(11) NOT NULL auto_increment,
  Title varchar(50) NOT NULL default '',
  AllowAd enum('1','0') NOT NULL default '1',
  Parent int(11) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS classi_fields;

CREATE TABLE classi_fields (
  FdId int(11) NOT NULL auto_increment,
  MainCategoryId int(11) NOT NULL default '0',
  FdTitle varchar(25) NOT NULL default '',
  FdType smallint(6) NOT NULL default '0',
  FdValues text NOT NULL,
  FdDefaultValue text NOT NULL,
  FdActive enum('Y','N') NOT NULL default 'Y',
  FdChars varchar(6) NOT NULL default '',
  PRIMARY KEY  (FdId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS classi_reply;

CREATE TABLE classi_reply (
  ReplyId int(11) NOT NULL auto_increment,
  AdId int(11) NOT NULL default '0',
  MemberId bigint(20) NOT NULL default '0',
  Description varchar(250) NOT NULL default '',
  ReplyDate varchar(15) NOT NULL default '',
  PRIMARY KEY  (ReplyId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS classified;

CREATE TABLE classified (
  ClassifiedId int(9) NOT NULL auto_increment,
  Id int(11) NOT NULL default '0',
  PosterId varchar(255) NOT NULL default '',
  Subject varchar(255) NOT NULL default '',
  Message text NOT NULL,
  Image varchar(255) NOT NULL default '',
  DateAdded date NOT NULL default '0000-00-00',
  PRIMARY KEY  (ClassifiedId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS classified_category;

CREATE TABLE classified_category (
  CategoryId mediumint(9) NOT NULL auto_increment,
  CategoryTitle varchar(100) NOT NULL default '',
  DateAdded date NOT NULL default '0000-00-00',
  PRIMARY KEY  (CategoryId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS classified_subcategory;

CREATE TABLE classified_subcategory (
  Id mediumint(9) NOT NULL auto_increment,
  CategoryId int(10) unsigned NOT NULL default '0',
  SubTitle varchar(100) NOT NULL default '',
  DateAdded date NOT NULL default '0000-00-00',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS confession_comments;

CREATE TABLE confession_comments (
  CommentId int(10) unsigned NOT NULL auto_increment,
  ConfessionId int(10) unsigned NOT NULL default '0',
  Comment text NOT NULL,
  DisplayName varchar(50) NOT NULL default '',
  PostDate varchar(15) NOT NULL default '',
  PRIMARY KEY  (CommentId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS confession_moderate;

CREATE TABLE confession_moderate (
  Id int(10) unsigned NOT NULL auto_increment,
  ConfessionId int(10) unsigned NOT NULL default '0',
  Moderate char(1) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS confessions;

CREATE TABLE confessions (
  ConfessionId int(10) unsigned NOT NULL auto_increment,
  DisplayName varchar(255) NOT NULL default '',
  Confession text NOT NULL,
  PhotoLink text NOT NULL,
  AllowComments tinyint(4) NOT NULL default '0',
  Sex enum('M','F') NOT NULL default 'M',
  PostDate varchar(15) NOT NULL default '',
  PRIMARY KEY  (ConfessionId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS country;

CREATE TABLE country (
  ShortName char(2) NOT NULL default '',
  Name varchar(100) default NULL,
  Id int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS coupons;

CREATE TABLE coupons (
  Id tinyint(4) NOT NULL auto_increment,
  ChargeValue int(11) default NULL,
  Value int(10) unsigned default NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS drinker;

CREATE TABLE drinker (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(30) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS education;

CREATE TABLE education (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(40) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS event_category;

CREATE TABLE event_category (
  Cat_Id int(11) NOT NULL auto_increment,
  Name varchar(100) NOT NULL default '',
  Type enum('1','2') NOT NULL default '1',
  Image varchar(100) NOT NULL default '',
  PRIMARY KEY  (Cat_Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS event_comment;

CREATE TABLE event_comment (
  Id int(11) NOT NULL auto_increment,
  EventId int(11) NOT NULL default '0',
  MemberId int(11) NOT NULL default '0',
  Comment varchar(255) NOT NULL default '',
  Time int(10) NOT NULL default '0',
  Response text NOT NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM ;


DROP TABLE IF EXISTS event_event;

CREATE TABLE event_event (
  Id int(11) NOT NULL auto_increment,
  MemberId int(11) default NULL,
  Name varchar(100) NOT NULL default '',
  Organiser varchar(100) NOT NULL default '',
  Email varchar(100) NOT NULL default '',
  Type enum('1','2') NOT NULL default '1',
  Cat_Id int(11) NOT NULL default '0',
  Short_Desc varchar(255) NOT NULL default '',
  Long_Desc text NOT NULL,
  Start_Date int(11) NOT NULL default '0',
  Venue varchar(150) NOT NULL default '',
  Address varchar(255) NOT NULL default '',
  City varchar(50) NOT NULL default '',
  State varchar(50) NOT NULL default '',
  Zip varchar(15) NOT NULL default '',
  Country varchar(50) NOT NULL default '',
  List_To_Everyone tinyint(1) NOT NULL default '0',
  RSVP tinyint(1) NOT NULL default '0',
  Guest_Invitation int(2) NOT NULL default '0',
  Invitation_Message varchar(255) NOT NULL default '',
  Comments enum('0','1','2') NOT NULL default '0',
  Invited_Email varchar(255) NOT NULL default '',
  Invited_User varchar(255) NOT NULL default '',
  Image varchar(100) NOT NULL default '',
  featured tinyint(1) unsigned NOT NULL default '0',
  cancel tinyint(1) unsigned default '0',
  Posted_Date int(11) NOT NULL default '0',
  Modified_Date int(11) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS event_invities;

CREATE TABLE event_invities (
  Id int(11) NOT NULL auto_increment,
  EventId int(11) NOT NULL default '0',
  MemberId int(11) NOT NULL default '0',
  Comment text NOT NULL,
  Status enum('Yes','No','MayBe') NOT NULL default 'Yes',
  guests int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS eye_color;

CREATE TABLE eye_color (
  Id int(11) NOT NULL auto_increment,
  Name varchar(30) NOT NULL default '',
  UserDefined smallint(6) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;



DROP TABLE IF EXISTS feedbacks;

CREATE TABLE feedbacks (
  Id int(11) NOT NULL auto_increment,
  Text text NOT NULL,
  MemberId bigint(20) NOT NULL default '0',
  FeedbackFor bigint(20) NOT NULL default '0',
  ShowFeedback smallint(6) NOT NULL default '1',
  PostDate int(15) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS forum_category;

CREATE TABLE forum_category (
  CatId smallint(11) unsigned NOT NULL auto_increment,
  CatTitle varchar(200) NOT NULL default '',
  CatOrder smallint(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (CatId)
) TYPE=MyISAM;



DROP TABLE IF EXISTS forum_comments;

CREATE TABLE forum_comments (
  CommentId int(10) unsigned NOT NULL auto_increment,
  Comment text NOT NULL,
  DateAdded date NOT NULL default '0000-00-00',
  PRIMARY KEY  (CommentId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS forum_forums;

CREATE TABLE forum_forums (
  ForumId int(11) unsigned NOT NULL auto_increment,
  CatId int(11) unsigned NOT NULL default '0',
  ForumName varchar(200) NOT NULL default '',
  ForumDescription text NOT NULL,
  ForumStatus tinyint(4) NOT NULL default '0',
  ForumOrder int(11) unsigned NOT NULL default '0',
  ForumPosts int(11) unsigned NOT NULL default '0',
  ForumTopics int(11) unsigned NOT NULL default '0',
  ForumLastPostId int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (ForumId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS forum_post_text;

CREATE TABLE forum_post_text (
  PostId int(10) unsigned NOT NULL default '0',
  PostSubject varchar(60) NOT NULL default '',
  PostText text NOT NULL,
  PRIMARY KEY  (PostId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS forum_posts;

CREATE TABLE forum_posts (
  PostId int(10) unsigned NOT NULL auto_increment,
  TopicId int(10) unsigned NOT NULL default '0',
  ForumId int(10) unsigned NOT NULL default '0',
  PosterId bigint(20) unsigned NOT NULL default '0',
  PostDate int(15) NOT NULL default '0',
  BBCode tinyint(4) NOT NULL default '0',
  Smilies tinyint(4) NOT NULL default '0',
  Html tinyint(4) NOT NULL default '0',
  FirstPost tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (PostId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS forum_smilies;

CREATE TABLE forum_smilies (
  SmiliesId smallint(5) unsigned NOT NULL auto_increment,
  Code varchar(50) default NULL,
  SmileyUrl varchar(100) default NULL,
  Emoticon varchar(75) default NULL,
  PRIMARY KEY  (SmiliesId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS forum_topics;

CREATE TABLE forum_topics (
  TopicId int(10) unsigned NOT NULL auto_increment,
  ForumId int(10) unsigned NOT NULL default '0',
  TopicPoster bigint(20) unsigned NOT NULL default '0',
  TopicTitle varchar(60) NOT NULL default '',
  TopicDate int(15) NOT NULL default '0',
  TopicViews int(10) unsigned NOT NULL default '0',
  TopicReplies int(10) unsigned NOT NULL default '0',
  TopicStatus tinyint(4) NOT NULL default '0',
  TopicFirstPostId int(10) unsigned NOT NULL default '0',
  TopicLastPostId int(10) unsigned NOT NULL default '0',
  TopicMovedId int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (TopicId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS forum_words;

CREATE TABLE forum_words (
  WordId int(8) unsigned NOT NULL auto_increment,
  Word varchar(50) NOT NULL default '',
  Replacement varchar(50) NOT NULL default '',
  PRIMARY KEY  (WordId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS gift_box;

CREATE TABLE gift_box (
  Id smallint(11) unsigned NOT NULL auto_increment,
  Image varchar(200) NOT NULL default '',
  Title varchar(50) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS gift_theme;

CREATE TABLE gift_theme (
  Id smallint(11) unsigned NOT NULL auto_increment,
  Theme_Title varchar(200) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS gifts;

CREATE TABLE gifts (
  Id int(11) NOT NULL auto_increment,
  ThemeId int(10) unsigned NOT NULL default '0',
  Name varchar(50) NOT NULL default '',
  Image1 varchar(255) NOT NULL default '',
  Price double(10,2) NOT NULL default '0.00',
  Description text NOT NULL,
  Featured tinyint(1) unsigned NOT NULL default '0',
  InitialQuantity int(10) unsigned NOT NULL default '0',
  QuantityLeft int(10) unsigned NOT NULL default '0',
  Posted_Date varchar(15) NOT NULL default '0000-00-00',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS group_bulletins;

CREATE TABLE group_bulletins (
  Id int(11) unsigned NOT NULL auto_increment,
  Title varchar(60) NOT NULL default '',
  Description text NOT NULL,
  MemberId bigint(20) unsigned NOT NULL default '0',
  GroupId int(10) unsigned NOT NULL default '0',
  PostDate int(15) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS group_forum_post_text;

CREATE TABLE group_forum_post_text (
  PostId int(10) unsigned NOT NULL default '0',
  PostSubject varchar(60) NOT NULL default '',
  PostText text NOT NULL,
  PRIMARY KEY  (PostId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS group_forum_posts;

CREATE TABLE group_forum_posts (
  PostId int(10) unsigned NOT NULL auto_increment,
  TopicId int(10) unsigned NOT NULL default '0',
  GroupId int(10) unsigned NOT NULL default '0',
  PosterId bigint(20) unsigned NOT NULL default '0',
  PostDate int(15) NOT NULL default '0',
  BBCode tinyint(4) NOT NULL default '0',
  Smilies tinyint(4) NOT NULL default '0',
  Html tinyint(4) NOT NULL default '0',
  FirstPost tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (PostId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS group_forum_topics;

CREATE TABLE group_forum_topics (
  TopicId int(10) unsigned NOT NULL auto_increment,
  GroupId int(10) unsigned NOT NULL default '0',
  TopicPoster bigint(20) unsigned NOT NULL default '0',
  TopicTitle varchar(60) NOT NULL default '',
  TopicDate int(15) NOT NULL default '0',
  TopicViews int(10) unsigned NOT NULL default '0',
  TopicReplies int(10) unsigned NOT NULL default '0',
  TopicStatus tinyint(4) NOT NULL default '0',
  TopicFirstPostId int(10) unsigned NOT NULL default '0',
  TopicLastPostId int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (TopicId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS group_members;

CREATE TABLE group_members (
  GroupId int(11) NOT NULL default '0',
  MemberId int(11) NOT NULL default '0',
  JoiningDate varchar(15) NOT NULL default ''
) TYPE=MyISAM;


DROP TABLE IF EXISTS group_photos;

CREATE TABLE group_photos (
  Id int(10) unsigned NOT NULL auto_increment,
  GroupId int(10) unsigned NOT NULL default '0',
  Photo varchar(200) NOT NULL default '',
  PrimaryPhoto tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS groups;

CREATE TABLE groups (
  GroupId int(10) unsigned NOT NULL auto_increment,
  GroupName varchar(200) NOT NULL default '',
  CategoryId int(10) unsigned NOT NULL default '0',
  MemberId bigint(20) unsigned NOT NULL default '0',
  OpenJoin tinyint(4) NOT NULL default '1',
  Hidden tinyint(4) NOT NULL default '0',
  MembersCanInvite tinyint(4) NOT NULL default '0',
  PublicForum tinyint(4) NOT NULL default '0',
  MemberImages tinyint(4) NOT NULL default '0',
  ShortDescription varchar(100) NOT NULL default '',
  Description text NOT NULL,
  DateCreated varchar(15) NOT NULL default '',
  PRIMARY KEY  (GroupId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS groups_category;

CREATE TABLE groups_category (
  CategoryId int(10) unsigned NOT NULL auto_increment,
  Title varchar(255) NOT NULL default '',
  PRIMARY KEY  (CategoryId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS hair_color;

CREATE TABLE hair_color (
  Id int(11) NOT NULL auto_increment,
  Name varchar(50) NOT NULL default '',
  UserDefined smallint(6) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS height;

CREATE TABLE height (
  Id smallint(6) NOT NULL auto_increment,
  Name varchar(10) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS language;

CREATE TABLE language (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(30) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS listing;

CREATE TABLE listing (
  listing_id int(11) NOT NULL default '0',
  date date NOT NULL default '0000-00-00'
) TYPE=MyISAM;

DROP TABLE IF EXISTS lockbox;

CREATE TABLE lockbox (
  QuestionId int(10) unsigned NOT NULL auto_increment,
  Question text NOT NULL,
  Answer varchar(255) NOT NULL default '',
  GiftId int(10) unsigned NOT NULL default '0',
  MaxAmount smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (QuestionId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS lockbox_manage;

CREATE TABLE lockbox_manage (
  Id int(10) unsigned NOT NULL auto_increment,
  MemberId int(10) unsigned NOT NULL default '0',
  PostedDate date NOT NULL default '0000-00-00',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mail_template;

CREATE TABLE mail_template (
  id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL default '',
  subject text NOT NULL,
  admin_email varchar(255) NOT NULL default '',
  msg text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS mailbox;

CREATE TABLE mailbox (
  Id bigint(20) NOT NULL auto_increment,
  SentTo bigint(20) NOT NULL default '0',
  SentBy bigint(20) NOT NULL default '0',
  Subject varchar(255) NOT NULL default '',
  Body text NOT NULL,
  Date int(15) NOT NULL default '0',
  MailStatus smallint(6) NOT NULL default '0',
  Trash smallint(6) NOT NULL default '0',
  SenderBin smallint(6) NOT NULL default '0',
  ReceiverBin smallint(6) NOT NULL default '0',
  Draft smallint(6) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mailbox_settings;

CREATE TABLE mailbox_settings (
  MemberId bigint(20) NOT NULL default '0',
  NameDisplayed varchar(100) NOT NULL default '',
  ReplyEmail varchar(255) NOT NULL default '',
  PerPage smallint(6) NOT NULL default '0',
  Signature text NOT NULL,
  Bookmarks varchar(255) NOT NULL default '',
  PersonalData text NOT NULL,
  Status tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS meeting_people;

CREATE TABLE meeting_people (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(40) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_avatar_mood;

CREATE TABLE member_avatar_mood (
  MemberId bigint(20) NOT NULL default '0',
  AvatarId bigint(20) NOT NULL default '0',
  MoodId smallint(6) NOT NULL default '0',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_blacklist;

CREATE TABLE member_blacklist (
  Id bigint(20) NOT NULL auto_increment,
  MemberId bigint(20) NOT NULL default '0',
  BlacklistId bigint(20) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_bookmarks;

CREATE TABLE member_bookmarks (
  BmId bigint(20) NOT NULL auto_increment,
  MemberId bigint(20) NOT NULL default '0',
  BmMemberId bigint(20) NOT NULL default '0',
  Visible enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (BmId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS member_credits;

CREATE TABLE member_credits (
  Id bigint(20) NOT NULL auto_increment,
  MemberId bigint(20) NOT NULL default '0',
  Credits varchar(20) NOT NULL default '0',
  VirtualMoney varchar(20) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_friends;

CREATE TABLE member_friends (
  Id bigint(20) NOT NULL auto_increment,
  MemberId bigint(20) NOT NULL default '0',
  FriendId bigint(20) NOT NULL default '0',
  RequestDate int(15) NOT NULL default '0',
  Permit enum('Y','N') NOT NULL default 'N',
  Denied tinyint(4) NOT NULL default '0',
  Reason text NOT NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS member_gifts;

CREATE TABLE member_gifts (
  Id int(10) unsigned NOT NULL auto_increment,
  GiftId int(10) unsigned NOT NULL default '0',
  GiftBoxId varchar(255) NOT NULL default '',
  Message text NOT NULL,
  Private tinyint(1) NOT NULL default '0',
  SenderShow tinyint(1) unsigned NOT NULL default '0',
  MemberIdBy bigint(20) unsigned NOT NULL default '0',
  MemberIdTo bigint(20) unsigned NOT NULL default '0',
  Posted_Date datetime NOT NULL default '0000-00-00 00:00:00',
  Accept tinyint(1) NOT NULL default '0',
  GiftOpen tinyint(1) unsigned NOT NULL default '0',
  wishlist tinyint(1) unsigned NOT NULL default '0',
  Quantity int(11) default NULL,
  Price float default NULL,
  Status varchar(10) default NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS member_gifts_wishlist;

CREATE TABLE member_gifts_wishlist (
  Id int(10) unsigned NOT NULL auto_increment,
  GiftId int(10) unsigned NOT NULL default '0',
  MemberId int(10) unsigned default NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_invites;

CREATE TABLE member_invites (
  Id bigint(20) NOT NULL auto_increment,
  MemberId bigint(20) NOT NULL default '0',
  InviteEmail varchar(255) NOT NULL default '',
  Date int(10) NOT NULL default '0',
  Attempts int(11) NOT NULL default '0',
  Status smallint(1) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_notes;

CREATE TABLE member_notes (
  NoteId int(10) unsigned NOT NULL auto_increment,
  NoteTitle varchar(50) NOT NULL default '',
  NoteDetail text NOT NULL,
  MemberId bigint(20) unsigned NOT NULL default '0',
  Date varchar(15) NOT NULL default '',
  PRIMARY KEY  (NoteId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_photos;

CREATE TABLE member_photos (
  PhotoId bigint(20) NOT NULL auto_increment,
  MemberId bigint(20) NOT NULL default '0',
  Name varchar(200) NOT NULL default '',
  Caption varchar(255) NOT NULL default '',
  IsPrimary smallint(6) NOT NULL default '0',
  PhotoType enum('A','P','O') NOT NULL default 'A',
  Access enum('Y','N') NOT NULL default 'Y',
  DateAdded int(15) NOT NULL default '0',
  PRIMARY KEY  (PhotoId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS member_profilevisits;

CREATE TABLE member_profilevisits (
  MemberId bigint(20) NOT NULL default '0',
  VisitorId bigint(20) NOT NULL default '0',
  DateVisited int(15) NOT NULL default '0'
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_ratings;

CREATE TABLE member_ratings (
  MemberId bigint(20) NOT NULL default '0',
  RatedBy bigint(20) NOT NULL default '0',
  Rating smallint(6) NOT NULL default '0'
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_settings;

CREATE TABLE member_settings (
  MemberId bigint(20) unsigned NOT NULL default '0',
  ForumShowAvatars enum('Y','N') NOT NULL default 'Y',
  ForumShowMoods enum('Y','N') NOT NULL default 'Y',
  ForumPostsPerpage tinyint(4) NOT NULL default '10',
  ForumSignature varchar(255) NOT NULL default '',
  ForumAttatchSignature enum('Y','N') NOT NULL default 'N',
  GenAutoLogin tinyint(4) NOT NULL default '0',
  GenSecurityQues tinyint(4) NOT NULL default '0',
  GenSecurityAnswer varchar(255) NOT NULL default '',
  GenNewsletter tinyint(4) NOT NULL default '0',
  GenShowProfile tinyint(4) NOT NULL default '1',
  GenComments tinyint(4) NOT NULL default '0',
  GenFeedbacks tinyint(4) NOT NULL default '0',
  GenBulletins tinyint(4) NOT NULL default '0',
  GenRatings tinyint(4) NOT NULL default '0',
  GenFriendBlog tinyint(4) NOT NULL default '0',
  GenFriendGroups tinyint(4) NOT NULL default '0',
  GenFriendDiscussion tinyint(4) NOT NULL default '0',
  GenFriendPhotoAlbum tinyint(4) NOT NULL default '0',
  GenFriendPhotos tinyint(4) NOT NULL default '0',
  GenFriendClassified tinyint(4) NOT NULL default '0',
  LocationForum varchar(255) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS member_updates;

CREATE TABLE member_updates (
  MemberId bigint(20) NOT NULL default '0',
  JoiningDate varchar(50) NOT NULL default '',
  ProfileModified varchar(50) NOT NULL default '',
  PhotoAdded varchar(50) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS members;

CREATE TABLE members (
  MemberId bigint(20) NOT NULL auto_increment,
  ScreenName varchar(25) NOT NULL default '',
  Email varchar(255) default NULL,
  Password varchar(20) NOT NULL default '',
  FirstName varchar(30) default NULL,
  LastName varchar(30) default NULL,
  State int(11) NOT NULL default '0',
  Country mediumint(9) NOT NULL default '0',
  PostalCode varchar(20) default NULL,
  Gender char(1) default NULL,
  DateOfBirth int(10) default NULL,
  HomeTown varchar(50) NOT NULL default '',
  CurrentCity varchar(50) NOT NULL default '',
  Province varchar(50) NOT NULL default '',
  Status tinyint(4) default '0',
  JoiningDate int(20) NOT NULL default '0',
  LastLogin int(20) NOT NULL default '0',
  ReferrerId bigint(20) NOT NULL default '0',
  MemberType char(1) NOT NULL default '',
  Admin enum('Y','N') NOT NULL default 'N',
  ProfileModified varchar(25) NOT NULL default '',
  PhotoAdded varchar(25) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS moods;

CREATE TABLE moods (
  MoodId int(11) NOT NULL auto_increment,
  MoodTitle varchar(25) NOT NULL default '',
  Image varchar(25) NOT NULL default '',
  PRIMARY KEY  (MoodId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS online;

CREATE TABLE online (
  MemberId bigint(20) NOT NULL default '0',
  LoggedOn int(15) NOT NULL default '0',
  ActiveTill int(15) NOT NULL default '0',
  Idle smallint(6) NOT NULL default '0',
  Visible enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS personality;

CREATE TABLE personality (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(30) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS pets;

CREATE TABLE pets (
  Id int(11) NOT NULL auto_increment,
  Name varchar(40) NOT NULL default '',
  UserDefined tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS piercings;

CREATE TABLE piercings (
  Id int(11) NOT NULL auto_increment,
  Name varchar(50) NOT NULL default '',
  UserDefined smallint(6) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS politics;

CREATE TABLE politics (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(30) default NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS port_photos;

CREATE TABLE port_photos (
  photo_id int(10) unsigned NOT NULL auto_increment,
  title varchar(200) NOT NULL default '',
  details text NOT NULL,
  photo_name varchar(100) NOT NULL default '',
  date_added varchar(15) NOT NULL default '',
  PRIMARY KEY  (photo_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS profile_aboutme;

CREATE TABLE profile_aboutme (
  MemberId bigint(20) NOT NULL default '0',
  AboutMe text NOT NULL,
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS profile_education;

CREATE TABLE profile_education (
  MemberId bigint(20) NOT NULL default '0',
  Education smallint(6) NOT NULL default '0',
  ElementarySchool text NOT NULL,
  HighSchool text NOT NULL,
  College text NOT NULL,
  CompanyName varchar(200) NOT NULL default '',
  CompanyCity varchar(200) NOT NULL default '',
  CompanyState varchar(100) NOT NULL default '',
  CompanyCountry int(11) NOT NULL default '0',
  DatesEmployed text NOT NULL,
  Position varchar(200) NOT NULL default '',
  Division varchar(200) NOT NULL default '',
  Occupation varchar(200) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS profile_extd_interests;

CREATE TABLE profile_extd_interests (
  MemberId bigint(20) NOT NULL default '0',
  Quote text NOT NULL,
  Pets varchar(50) NOT NULL default '',
  Advice text NOT NULL,
  MakesHappy text NOT NULL,
  MakesSad text NOT NULL,
  IdeaOfFun text NOT NULL,
  ChatAbout text NOT NULL,
  FriendsWillDescribe text NOT NULL,
  Perfect text NOT NULL,
  Motto text NOT NULL,
  MyKeywords text NOT NULL,
  FavouriteLinks text NOT NULL,
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS profile_interests;

CREATE TABLE profile_interests (
  MemberId bigint(20) NOT NULL default '0',
  Music text NOT NULL,
  Movies text NOT NULL,
  Television text NOT NULL,
  Books text NOT NULL,
  VideoGames text NOT NULL,
  NightClubs text NOT NULL,
  Heroes text NOT NULL,
  Sports text NOT NULL,
  Food text NOT NULL,
  VacationSpots text NOT NULL,
  City text NOT NULL,
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS profile_intro;

CREATE TABLE profile_intro (
  MemberId bigint(20) NOT NULL auto_increment,
  Headline varchar(255) NOT NULL default '',
  NickName varchar(50) NOT NULL default '',
  RealFirstName varchar(50) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS profile_lifestyle;

CREATE TABLE profile_lifestyle (
  MemberId bigint(20) NOT NULL default '0',
  SexualOrientation smallint(6) NOT NULL default '0',
  Relationship smallint(6) NOT NULL default '0',
  Name varchar(100) NOT NULL default '',
  Children smallint(6) NOT NULL default '0',
  Religion varchar(100) NOT NULL default '',
  Politics smallint(6) NOT NULL default '0',
  BadHabits text NOT NULL,
  CantLiveWithout text NOT NULL,
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS profile_personality;

CREATE TABLE profile_personality (
  MemberId bigint(20) NOT NULL default '0',
  Personality varchar(200) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS profile_relationship;

CREATE TABLE profile_relationship (
  MemberId bigint(20) NOT NULL default '0',
  Relationship varchar(200) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;


DROP TABLE IF EXISTS profile_vitals;

CREATE TABLE profile_vitals (
  MemberId bigint(20) NOT NULL default '0',
  Ethnicity varchar(100) NOT NULL default '',
  EyeColor smallint(6) NOT NULL default '0',
  HairColor int(11) NOT NULL default '0',
  Height smallint(6) NOT NULL default '0',
  Weight varchar(10) NOT NULL default '',
  Build smallint(6) NOT NULL default '0',
  Smoker smallint(6) NOT NULL default '0',
  Drinker smallint(6) NOT NULL default '0',
  Tattoos int(11) NOT NULL default '0',
  Piercings int(11) NOT NULL default '0',
  Languages varchar(100) NOT NULL default '',
  PRIMARY KEY  (MemberId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS relationship_status;

CREATE TABLE relationship_status (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(40) default NULL,
  InputRequired tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS religion;

CREATE TABLE religion (
  Id int(4) NOT NULL auto_increment,
  Name varchar(50) NOT NULL default '',
  UserDefined tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS settings;

CREATE TABLE settings (
  sid tinyint(1) NOT NULL auto_increment,
  setting varchar(30) NOT NULL default '',
  content text NOT NULL,
  PRIMARY KEY  (sid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS sexual_orientation;

CREATE TABLE sexual_orientation (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(30) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS site_settings;

CREATE TABLE site_settings (
  site_live tinyint(4) NOT NULL default '1'
) TYPE=MyISAM;


DROP TABLE IF EXISTS smoker;

CREATE TABLE smoker (
  Id tinyint(4) NOT NULL auto_increment,
  Name varchar(30) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS state;

CREATE TABLE state (
  Id int(3) unsigned NOT NULL auto_increment,
  ShortName varchar(20) NOT NULL default '',
  Name varchar(50) default NULL,
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS tattoos;

CREATE TABLE tattoos (
  Id int(11) NOT NULL auto_increment,
  Name varchar(50) NOT NULL default '',
  UserDefined smallint(6) NOT NULL default '0',
  PRIMARY KEY  (Id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS theme;

CREATE TABLE theme (
  tid int(1) NOT NULL auto_increment,
  name varchar(30) NOT NULL default '',
  font varchar(30) NOT NULL default '',
  background_color varchar(30) NOT NULL default '',
  header_image varchar(30) NOT NULL default '',
  content_color varchar(30) NOT NULL default '',
  text_color varchar(30) NOT NULL default '',
  logo varchar(30) NOT NULL default '',
  small_font varchar(30) NOT NULL default '',
  content_width varchar(30) NOT NULL default '',
  post_image varchar(30) NOT NULL default '',
  post_background varchar(30) NOT NULL default '',
  using_now tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (tid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS users;

CREATE TABLE users (
  uid tinyint(3) NOT NULL auto_increment,
  username varchar(30) NOT NULL default '',
  PASSWORD varchar(255) NOT NULL default '',
  admin tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (uid)
) TYPE=MyISAM;


DROP TABLE IF EXISTS weight;

CREATE TABLE weight (
  Id smallint(6) NOT NULL auto_increment,
  Name varchar(10) NOT NULL default '',
  PRIMARY KEY  (Id)
) TYPE=MyISAM ;

DROP TABLE IF EXISTS site_custom_settings;

CREATE TABLE site_custom_settings (
 activationtype enum('A','E','M') NOT NULL default 'A',
  imageapprovaltype enum('A','M') NOT NULL default 'A',
  albumapprovaltype enum('A','M') NOT NULL default 'A',
  optimizeimage char(1) NOT NULL default 'N',
  maximagesize mediumint(9) NOT NULL default '0',
  maxzipsize mediumint(9) default NULL,
  allowedimagetypes varchar(200) NOT NULL default '',
  logoimage varchar(200) NOT NULL default '',
  styles varchar(10) NOT NULL default '',
  paymentmethod char(2) default NULL,
  authorizeloginid varchar(100) default NULL,
  authorizetranskey varchar(100) default NULL,
  authorizepassword varchar(100) default NULL,
  authorizeemail varchar(100) default NULL,
  authorizedemo char(2) default NULL
 ) TYPE=MyISAM ;

DROP TABLE IF EXISTS client_module_category;

CREATE TABLE client_module_category (
  CategoryId mediumint(9) NOT NULL auto_increment,
  CategoryTitle varchar(100) NOT NULL default '',
  CategoryFile varchar(100) NOT NULL default '',
  Active enum('0','1') default NULL,
  PRIMARY KEY  (CategoryId)
) TYPE=MyISAM;

INSERT INTO admin_forum_settings values (1, 'comm_logo.gif');
INSERT INTO admin_groups values (1, 'Super Administrator');
INSERT INTO admin_module_access values (1, 1);
INSERT INTO admin_module_access values (1, 2);
INSERT INTO admin_module_access values (1, 3);
INSERT INTO admin_module_access values (1, 4);
INSERT INTO admin_module_access values (1, 5);
INSERT INTO admin_module_access values (1, 6);
INSERT INTO admin_module_access values (1, 7);
INSERT INTO admin_module_access values (1, 21);
INSERT INTO admin_module_access values (1, 9);
INSERT INTO admin_module_access values (1, 10);
INSERT INTO admin_module_access values (1, 11);
INSERT INTO admin_module_access values (1, 12);
INSERT INTO admin_module_access values (1, 13);
INSERT INTO admin_module_access values (1, 14);
INSERT INTO admin_module_access values (1, 15);
INSERT INTO admin_module_access values (1, 17);
INSERT INTO admin_module_access values (1, 18);
INSERT INTO admin_module_access values (1, 20);
INSERT INTO admin_module_access values (1, 22);
INSERT INTO admin_module_access values (1, 23);
INSERT INTO admin_module_access values (1, 24);
INSERT INTO admin_module_access values (1, 25);
INSERT INTO admin_module_access values (1, 26);
INSERT INTO admin_module_access values (1, 27);
INSERT INTO admin_module_access values (1, 28);
INSERT INTO admin_module_access values (1, 29);
INSERT INTO admin_module_access values (1, 30);
INSERT INTO admin_module_access values (1, 31);
INSERT INTO admin_module_access values (1, 32);
INSERT INTO admin_module_access values (1, 33);
INSERT INTO admin_module_access values (1, 34);
INSERT INTO admin_module_access VALUES (1, 35);
INSERT INTO admin_module_category values (1, 'Admin Suite Controls');
INSERT INTO admin_module_category values (2, 'iScripts SocialWare Members');
INSERT INTO admin_module_category values (3, 'Discussion Board');
INSERT INTO admin_module_category values (4, 'Blogs');
INSERT INTO admin_module_category values (5, 'Classifieds');
INSERT INTO admin_module_category values (6, 'Miscellaneous');
INSERT INTO admin_module_category values (7, 'Events');
INSERT INTO admin_module_category values (9, 'Gift Shop');
INSERT INTO admin_module_category values (10, 'Coupons');
INSERT INTO admin_module_category values (11, 'Confessions');
INSERT INTO admin_module_category values (12, 'Site Maintenance');
INSERT INTO admin_module_category values (13, 'Site Settings');
INSERT INTO admin_module_category values (14, 'Help');
INSERT INTO admin_module_category values (15, 'Client Modules');
INSERT INTO admin_module_category VALUES ( 16, 'License' );
INSERT INTO admin_modules values (1, 1, 'Admin Profile', 'admin_profile.php');
INSERT INTO admin_modules values (2, 1, 'Groups Manager', 'groups.php');
INSERT INTO admin_modules values (3, 1, 'Sub Admin Manager', 'sub_admins.php');
INSERT INTO admin_modules values (4, 2, 'Manage Members', 'members.php');
INSERT INTO admin_modules values (5, 3, 'Manage Category', 'forum_category.php');
INSERT INTO admin_modules values (6, 3, 'Manage Forums', 'forums.php');
INSERT INTO admin_modules values (7, 3, 'Board Statistics', 'forum_statistics.php');
INSERT INTO admin_modules values (8, 3, 'Word Censors', 'word_censor.php');
INSERT INTO admin_modules values (9, 4, 'Manage Blogs', 'blogs.php');
INSERT INTO admin_modules values (10, 4, 'Manage Category', 'blog_category.php');
INSERT INTO admin_modules values (11, 4, 'Manage Template', 'blog_template.php');
INSERT INTO admin_modules values (12, 5, 'Manage Categories', 'classi_categories.php');
INSERT INTO admin_modules values (13, 3, 'Manage Disucssion Board', 'manage_discussion_board.php');
INSERT INTO admin_modules values (14, 6, 'Manage Avatars', 'avatars.php');
INSERT INTO admin_modules values (15, 7, 'Manage Categories', 'event_category.php');
INSERT INTO admin_modules values (17, 7, 'Manage Events', 'events.php');
INSERT INTO admin_modules values (21, 9, 'Manage Theme', 'gift_theme.php');
INSERT INTO admin_modules values (20, 9, 'Manage Gifts', 'gifts.php');
INSERT INTO admin_modules values (22, 9, 'Manage Gift Box', 'gift_box.php');
INSERT INTO admin_modules values (23, 10, 'Manage Coupons', 'coupons.php');
INSERT INTO admin_modules values (24, 11, 'Manage Confessions', 'confession.php');
INSERT INTO admin_modules values (25, 12, 'Site Status', 'sitestatus.php');
INSERT INTO admin_modules values (26, 9, 'Manage Lockbox Questions', 'lockbox.php');
INSERT INTO admin_modules values (27, 12, 'System Announcements', 'sysannounce.php');
INSERT INTO admin_modules values (28, 3, 'Community Manager Logo', 'comm_logo.php');
INSERT INTO admin_modules values (29, 3, 'Forum Comments', 'forum_comments.php');
INSERT INTO admin_modules values (30, 6, 'Email Manager', 'email.php');
INSERT INTO admin_modules values (31, 13, 'Manage Settings', 'settings.php');
INSERT INTO admin_modules values (32, 9, 'Manage Orders', 'orders.php');
INSERT INTO admin_modules values (33, 14, 'Help', 'help/index.html');
INSERT INTO admin_modules values (34, 15, 'Modules', 'client_toplinks.php');
INSERT INTO admin_modules VALUES (35, 16, 'License', 'license.php');
INSERT INTO build values (1, 'Slim');
INSERT INTO build values (2, 'Toned');
INSERT INTO build values (3, 'Defined');
INSERT INTO build values (4, 'Medium Build');
INSERT INTO build values (5, 'Average');
INSERT INTO build values (6, 'Full Figure');
INSERT INTO build values (7, 'Needs Work');
INSERT INTO build values (8, 'Swimmer''s Build');
INSERT INTO build values (9, 'Muscular');
INSERT INTO build values (10, 'Diva');
INSERT INTO build values (11, 'Voluptous');
INSERT INTO build values (12, 'Athletic');
INSERT INTO build values (13, 'Prefer Not To Say');
INSERT INTO children values (1, 'Who knows?');
INSERT INTO children values (2, 'Don''t want kids');
INSERT INTO children values (3, 'Maybe');
INSERT INTO children values (4, 'Someday');
INSERT INTO children values (5, 'Undecided');
INSERT INTO children values (6, 'Love kids, but not for me');
INSERT INTO children values (7, 'Proud parent');
INSERT INTO children values (8, 'Maybe adopt later');
INSERT INTO children values (9, 'No Answer');
INSERT INTO country values ('GB', 'UK', 211);
INSERT INTO country values ('IN', 'India', 2);
INSERT INTO country values ('CA', 'Canada', 3);
INSERT INTO country values ('AE', 'UAE', 4);
INSERT INTO country values ('AF', 'Afghanistan', 5);
INSERT INTO country values ('AL', 'Albania', 6);
INSERT INTO country values ('DZ', 'Algeria', 7);
INSERT INTO country values ('AS', 'AmericanSamoa', 8);
INSERT INTO country values ('AD', 'Andorra', 9);
INSERT INTO country values ('AO', 'Angola', 10);
INSERT INTO country values ('AI', 'Anguilla', 11);
INSERT INTO country values ('AQ', 'Antarctica', 12);
INSERT INTO country values ('AG', 'AntiguaandBarbuda', 13);
INSERT INTO country values ('AR', 'Argentina', 14);
INSERT INTO country values ('AM', 'Armenia', 15);
INSERT INTO country values ('AW', 'Aruba', 16);
INSERT INTO country values ('AU', 'Australia', 17);
INSERT INTO country values ('AT', 'Austria', 18);
INSERT INTO country values ('AZ', 'Azerbaijan', 19);
INSERT INTO country values ('BS', 'Bahama', 20);
INSERT INTO country values ('BH', 'Bahrain', 21);
INSERT INTO country values ('BD', 'Bangladesh', 22);
INSERT INTO country values ('BB', 'Barbados', 23);
INSERT INTO country values ('BY', 'Belarus', 24);
INSERT INTO country values ('BE', 'Belgium', 25);
INSERT INTO country values ('BZ', 'Belize', 26);
INSERT INTO country values ('BJ', 'Benin', 27);
INSERT INTO country values ('BM', 'Bermuda', 28);
INSERT INTO country values ('BT', 'Bhutan', 29);
INSERT INTO country values ('BO', 'Bolivia', 30);
INSERT INTO country values ('BA', 'BosniaandHerzegovina', 31);
INSERT INTO country values ('BW', 'Botswana', 32);
INSERT INTO country values ('BV', 'BouvetIsland', 33);
INSERT INTO country values ('BR', 'Brazil', 34);
INSERT INTO country values ('VG', 'BritishVirginIslands', 35);
INSERT INTO country values ('BN', 'BruneiDarussalam', 36);
INSERT INTO country values ('BG', 'Bulgaria', 37);
INSERT INTO country values ('BF', 'BurkinaFaso', 38);
INSERT INTO country values ('BI', 'Burundi', 39);
INSERT INTO country values ('KH', 'Cambodia', 40);
INSERT INTO country values ('CM', 'Cameroon', 41);
INSERT INTO country values ('CV', 'CapeVerde', 42);
INSERT INTO country values ('KY', 'CaymanIslands', 43);
INSERT INTO country values ('TD', 'Chad', 44);
INSERT INTO country values ('CL', 'Chile', 45);
INSERT INTO country values ('CN', 'China', 46);
INSERT INTO country values ('CX', 'ChristmasIsland', 47);
INSERT INTO country values ('CC', 'Cocos(Keeling)Islands', 48);
INSERT INTO country values ('CO', 'Colombia', 49);
INSERT INTO country values ('KM', 'Comoros', 50);
INSERT INTO country values ('CG', 'Congo', 51);
INSERT INTO country values ('CK', 'CookIslands', 52);
INSERT INTO country values ('CR', 'CostaRica', 53);
INSERT INTO country values ('HR', 'Croatia', 54);
INSERT INTO country values ('CU', 'Cuba', 55);
INSERT INTO country values ('CY', 'Cyprus', 56);
INSERT INTO country values ('CZ', 'CzechRepublic', 57);
INSERT INTO country values ('DK', 'Denmark', 58);
INSERT INTO country values ('DJ', 'Djibouti', 59);
INSERT INTO country values ('DM', 'Dominica', 60);
INSERT INTO country values ('DO', 'DominicanRepublic', 61);
INSERT INTO country values ('TP', 'EastTimor', 62);
INSERT INTO country values ('EC', 'Ecuador', 63);
INSERT INTO country values ('EG', 'Egypt', 64);
INSERT INTO country values ('SV', 'ElSalvador', 65);
INSERT INTO country values ('GQ', 'EquatorialGuinea', 66);
INSERT INTO country values ('ER', 'Eritrea', 67);
INSERT INTO country values ('EE', 'Estonia', 68);
INSERT INTO country values ('ET', 'Ethiopia', 69);
INSERT INTO country values ('FO', 'FaroeIslands', 70);
INSERT INTO country values ('FJ', 'Fiji', 71);
INSERT INTO country values ('FI', 'Finland', 72);
INSERT INTO country values ('FR', 'France', 73);
INSERT INTO country values ('GF', 'FrenchGuiana', 74);
INSERT INTO country values ('PF', 'FrenchPolynesia', 75);
INSERT INTO country values ('GA', 'Gabon', 76);
INSERT INTO country values ('GM', 'Gambia', 77);
INSERT INTO country values ('GE', 'Georgia', 78);
INSERT INTO country values ('DE', 'Germany', 79);
INSERT INTO country values ('GH', 'Ghana', 80);
INSERT INTO country values ('GI', 'Gibraltar', 81);
INSERT INTO country values ('GR', 'Greece', 82);
INSERT INTO country values ('GL', 'Greenland', 83);
INSERT INTO country values ('GD', 'Grenada', 84);
INSERT INTO country values ('GP', 'Guadeloupe', 85);
INSERT INTO country values ('GU', 'Guam', 86);
INSERT INTO country values ('GT', 'Guatemala', 87);
INSERT INTO country values ('GN', 'Guinea', 88);
INSERT INTO country values ('GW', 'Guinea-Bissau', 89);
INSERT INTO country values ('GY', 'Guyana', 90);
INSERT INTO country values ('HT', 'Haiti', 91);
INSERT INTO country values ('HN', 'Honduras', 92);
INSERT INTO country values ('HK', 'HongKong', 93);
INSERT INTO country values ('HU', 'Hungary', 94);
INSERT INTO country values ('IS', 'Iceland', 95);
INSERT INTO country values ('ID', 'Indonesia', 96);
INSERT INTO country values ('IQ', 'Iraq', 97);
INSERT INTO country values ('IE', 'Ireland', 98);
INSERT INTO country values ('IR', 'Iran', 99);
INSERT INTO country values ('IL', 'Israel', 100);
INSERT INTO country values ('IT', 'Italy', 101);
INSERT INTO country values ('JM', 'Jamaica', 102);
INSERT INTO country values ('JP', 'Japan', 103);
INSERT INTO country values ('JO', 'Jordan', 104);
INSERT INTO country values ('KZ', 'Kazakhstan', 105);
INSERT INTO country values ('KE', 'Kenya', 106);
INSERT INTO country values ('KI', 'Kiribati', 107);
INSERT INTO country values ('KR', 'Korea', 108);
INSERT INTO country values ('KW', 'Kuwait', 109);
INSERT INTO country values ('KG', 'Kyrgyzstan', 110);
INSERT INTO country values ('LV', 'Latvia', 111);
INSERT INTO country values ('LB', 'Lebanon', 112);
INSERT INTO country values ('LS', 'Lesotho', 113);
INSERT INTO country values ('LR', 'Liberia', 114);
INSERT INTO country values ('LY', 'LibyanArabJamahiriya', 115);
INSERT INTO country values ('LI', 'Liechtenstein', 116);
INSERT INTO country values ('LT', 'Lithuania', 117);
INSERT INTO country values ('LU', 'Luxembourg', 118);
INSERT INTO country values ('MO', 'Macau', 119);
INSERT INTO country values ('MG', 'Madagascar', 120);
INSERT INTO country values ('MW', 'Malawi', 121);
INSERT INTO country values ('MY', 'Malaysia', 122);
INSERT INTO country values ('MV', 'Maldives', 123);
INSERT INTO country values ('ML', 'Mali', 124);
INSERT INTO country values ('MT', 'Malta', 125);
INSERT INTO country values ('MH', 'MarshallIslands', 126);
INSERT INTO country values ('MQ', 'Martinique', 127);
INSERT INTO country values ('MR', 'Mauritania', 128);
INSERT INTO country values ('MU', 'Mauritius', 129);
INSERT INTO country values ('YT', 'Mayotte', 130);
INSERT INTO country values ('MX', 'Mexico', 131);
INSERT INTO country values ('FM', 'Micronesia', 132);
INSERT INTO country values ('MC', 'Monaco', 133);
INSERT INTO country values ('MN', 'Mongolia', 134);
INSERT INTO country values ('MS', 'Monserrat', 135);
INSERT INTO country values ('MA', 'Morocco', 136);
INSERT INTO country values ('MZ', 'Mozambique', 137);
INSERT INTO country values ('MM', 'Myanmar', 138);
INSERT INTO country values ('NA', 'Nambia', 139);
INSERT INTO country values ('NR', 'Nauru', 140);
INSERT INTO country values ('NP', 'Nepal', 141);
INSERT INTO country values ('AN', 'NetherlandsAntilles', 142);
INSERT INTO country values ('NL', 'Netherlands', 143);
INSERT INTO country values ('NC', 'NewCaledonia', 144);
INSERT INTO country values ('NZ', 'NewZealand', 145);
INSERT INTO country values ('NI', 'Nicaragua', 146);
INSERT INTO country values ('NE', 'Niger', 147);
INSERT INTO country values ('NG', 'Nigeria', 148);
INSERT INTO country values ('NU', 'Niue', 149);
INSERT INTO country values ('NF', 'NorfolkIsland', 150);
INSERT INTO country values ('MP', 'NorthernMarianaIslands', 151);
INSERT INTO country values ('NT', 'NorthwestTerritories', 152);
INSERT INTO country values ('NO', 'Norway', 153);
INSERT INTO country values ('OM', 'Oman', 154);
INSERT INTO country values ('PK', 'Pakistan', 155);
INSERT INTO country values ('PW', 'Palau', 156);
INSERT INTO country values ('PA', 'Panama', 157);
INSERT INTO country values ('PG', 'PapuaNewGuinea', 158);
INSERT INTO country values ('PY', 'Paraguay', 159);
INSERT INTO country values ('PE', 'Peru', 160);
INSERT INTO country values ('PH', 'Philippines', 161);
INSERT INTO country values ('PN', 'Pitcairn', 162);
INSERT INTO country values ('PL', 'Poland', 163);
INSERT INTO country values ('PT', 'Portugal', 164);
INSERT INTO country values ('PR', 'PuertoRico', 165);
INSERT INTO country values ('QA', 'Qatar', 166);
INSERT INTO country values ('RE', 'R&eacute;union', 167);
INSERT INTO country values ('RO', 'Romania', 168);
INSERT INTO country values ('RU', 'RussianFederation', 169);
INSERT INTO country values ('RW', 'Rwanda', 170);
INSERT INTO country values ('LC', 'SaintLucia', 171);
INSERT INTO country values ('WS', 'Samoa', 172);
INSERT INTO country values ('SM', 'SanMarino', 173);
INSERT INTO country values ('ST', 'SaoTomeandPrincipe', 174);
INSERT INTO country values ('SA', 'SaudiArabia', 175);
INSERT INTO country values ('SN', 'Senegal', 176);
INSERT INTO country values ('SC', 'Seychelles', 177);
INSERT INTO country values ('SL', 'SierraLeone', 178);
INSERT INTO country values ('SG', 'Singapore', 179);
INSERT INTO country values ('SK', 'Slovakia', 180);
INSERT INTO country values ('SI', 'Slovenia', 181);
INSERT INTO country values ('SB', 'SolomonIslands', 182);
INSERT INTO country values ('SO', 'Somalia', 183);
INSERT INTO country values ('ZA', 'SouthAfrica', 184);
INSERT INTO country values ('ES', 'Spain', 185);
INSERT INTO country values ('LK', 'SriLanka', 186);
INSERT INTO country values ('SH', 'St.Helena', 187);
INSERT INTO country values ('KN', 'St.KittsandNevis', 188);
INSERT INTO country values ('PM', 'St.PierreandMiquelon', 189);
INSERT INTO country values ('SD', 'Sudan', 190);
INSERT INTO country values ('SR', 'Suriname', 191);
INSERT INTO country values ('SZ', 'Swaziland', 192);
INSERT INTO country values ('SE', 'Sweden', 193);
INSERT INTO country values ('CH', 'Switzerland', 194);
INSERT INTO country values ('SY', 'SyrianArabRepublic', 195);
INSERT INTO country values ('TW', 'Taiwan', 196);
INSERT INTO country values ('TJ', 'Tajikistan', 197);
INSERT INTO country values ('TZ', 'Tanzania', 198);
INSERT INTO country values ('TH', 'Thailand', 199);
INSERT INTO country values ('TG', 'Togo', 200);
INSERT INTO country values ('TK', 'Tokelau', 201);
INSERT INTO country values ('TO', 'Tonga', 202);
INSERT INTO country values ('TT', 'TrinidadandTobago', 203);
INSERT INTO country values ('TN', 'Tunisia', 204);
INSERT INTO country values ('TR', 'Turkey', 205);
INSERT INTO country values ('TM', 'Turkmenistan', 206);
INSERT INTO country values ('TC', 'TurksandCaicosIslands', 207);
INSERT INTO country values ('TV', 'Tuvalu', 208);
INSERT INTO country values ('UG', 'Uganda', 209);
INSERT INTO country values ('UA', 'Ukraine', 210);
INSERT INTO country values ('US', 'USA', 1);
INSERT INTO country values ('UY', 'Uruguay', 212);
INSERT INTO country values ('UZ', 'Uzbekistan', 213);
INSERT INTO country values ('VU', 'Vanuatu', 214);
INSERT INTO country values ('VE', 'Venezuela', 215);
INSERT INTO country values ('VN', 'VietNam', 216);
INSERT INTO country values ('EH', 'WesternSahara', 217);
INSERT INTO country values ('YE', 'Yemen', 218);
INSERT INTO country values ('YU', 'Yugoslavia', 219);
INSERT INTO country values ('ZR', 'Zaire', 220);
INSERT INTO country values ('ZM', 'Zambia', 221);
INSERT INTO country values ('ZW', 'Zimbabwe', 222);
INSERT INTO drinker values (1, 'Yes');
INSERT INTO drinker values (2, 'No');
INSERT INTO drinker values (3, 'Socially');
INSERT INTO drinker values (4, 'Sometimes');
INSERT INTO drinker values (5, 'In Rehab');
INSERT INTO drinker values (6, 'Alcoholic');
INSERT INTO drinker values (7, 'No, don''t mind it though');
INSERT INTO education values (1, 'Some High School');
INSERT INTO education values (2, 'High School');
INSERT INTO education values (3, 'Some College');
INSERT INTO education values (4, 'In College');
INSERT INTO education values (5, 'College Graduate');
INSERT INTO education values (6, 'Graduation / Professional School');
INSERT INTO education values (7, 'Post Graduation');
INSERT INTO education values (8, 'No Answer');
INSERT INTO eye_color values (1, 'Gray', 0);
INSERT INTO eye_color values (2, 'Black', 0);
INSERT INTO eye_color values (3, 'Blue', 0);
INSERT INTO eye_color values (4, 'Green', 0);
INSERT INTO eye_color values (6, 'Pink', 1);
INSERT INTO eye_color values (7, 'Oyee', 1);
INSERT INTO eye_color values (8, 'Sea Green', 1);
INSERT INTO eye_color values (9, 'Purple', 1);
INSERT INTO eye_color values (10, 'Hazel', 1);
INSERT INTO forum_smilies values (3, ':grin:', 'icon_biggrin.gif', 'Very Happy');
INSERT INTO forum_smilies values (4, ':)', 'icon_smile.gif', 'Smile');
INSERT INTO forum_smilies values (5, ':-)', 'icon_smile.gif', 'Smile');
INSERT INTO forum_smilies values (6, ':smile:', 'icon_smile.gif', 'Smile');
INSERT INTO forum_smilies values (7, ':(', 'icon_sad.gif', 'Sad');
INSERT INTO forum_smilies values (8, ':-(', 'icon_sad.gif', 'Sad');
INSERT INTO forum_smilies values (9, ':sad:', 'icon_sad.gif', 'Sad');
INSERT INTO forum_smilies values (10, ':o', 'icon_surprised.gif', 'Surprised');
INSERT INTO forum_smilies values (11, ':-o', 'icon_surprised.gif', 'Surprised');
INSERT INTO forum_smilies values (12, ':eek:', 'icon_surprised.gif', 'Surprised');
INSERT INTO forum_smilies values (13, ':shock:', 'icon_eek.gif', 'Shocked');
INSERT INTO forum_smilies values (14, ':?', 'icon_confused.gif', 'Confused');
INSERT INTO forum_smilies values (15, ':-?', 'icon_confused.gif', 'Confused');
INSERT INTO forum_smilies values (16, ':?', 'icon_confused.gif', 'Confused');
INSERT INTO forum_smilies values (17, '8)', 'icon_cool.gif', 'Cool');
INSERT INTO forum_smilies values (18, '8-)', 'icon_cool.gif', 'Cool');
INSERT INTO forum_smilies values (19, ':cool:', 'icon_cool.gif', 'Cool');
INSERT INTO forum_smilies values (20, ':lol:', 'icon_lol.gif', 'Laughing');
INSERT INTO forum_smilies values (21, ':x', 'icon_mad.gif', 'Mad');
INSERT INTO forum_smilies values (22, ':-x', 'icon_mad.gif', 'Mad');
INSERT INTO forum_smilies values (23, ':mad:', 'icon_mad.gif', 'Mad');
INSERT INTO forum_smilies values (24, ':P', 'icon_razz.gif', 'Razz');
INSERT INTO forum_smilies values (25, ':-P', 'icon_razz.gif', 'Razz');
INSERT INTO forum_smilies values (26, ':razz:', 'icon_razz.gif', 'Razz');
INSERT INTO forum_smilies values (27, ':oops:', 'icon_redface.gif', 'Embarassed');
INSERT INTO forum_smilies values (28, ':cry:', 'icon_cry.gif', 'Crying or Very sad');
INSERT INTO forum_smilies values (29, ':evil:', 'icon_evil.gif', 'Evil or Very Mad');
INSERT INTO forum_smilies values (30, ':twisted:', 'icon_twisted.gif', 'Twisted Evil');
INSERT INTO forum_smilies values (31, ':roll:', 'icon_rolleyes.gif', 'Rolling Eyes');
INSERT INTO forum_smilies values (32, ':wink:', 'icon_wink.gif', 'Wink');
INSERT INTO forum_smilies values (33, ';)', 'icon_wink.gif', 'Wink');
INSERT INTO forum_smilies values (34, ';-)', 'icon_wink.gif', 'Wink');
INSERT INTO forum_smilies values (35, ':!:', 'icon_exclaim.gif', 'Exclamation');
INSERT INTO forum_smilies values (36, ':?:', 'icon_question.gif', 'Question');
INSERT INTO forum_smilies values (37, ':idea:', 'icon_idea.gif', 'Idea');
INSERT INTO forum_smilies values (38, ':arrow:', 'icon_arrow.gif', 'Arrow');
INSERT INTO forum_smilies values (39, ':|', 'icon_neutral.gif', 'Neutral');
INSERT INTO forum_smilies values (40, ':-|', 'icon_neutral.gif', 'Neutral');
INSERT INTO forum_smilies values (41, ':neutral:', 'icon_neutral.gif', 'Neutral');
INSERT INTO forum_smilies values (42, ':mrgreen:', 'icon_mrgreen.gif', 'Mr. Green');
INSERT INTO groups_category values (1, 'Activities');
INSERT INTO groups_category values (2, 'Automotive');
INSERT INTO groups_category values (3, 'Business & Entrepreneurs');
INSERT INTO groups_category values (4, 'Cities & Neighbourhoods');
INSERT INTO groups_category values (5, 'Companies / Co-workers');
INSERT INTO groups_category values (6, 'Computers & Internet');
INSERT INTO groups_category values (7, 'Countries & Regional');
INSERT INTO groups_category values (8, 'Cultures & Community');
INSERT INTO groups_category values (9, 'Entertainment');
INSERT INTO groups_category values (10, 'Family & Home');
INSERT INTO groups_category values (11, 'Fan Club');
INSERT INTO groups_category values (12, 'Fashion & Style');
INSERT INTO groups_category values (13, 'Film & Television');
INSERT INTO groups_category values (14, 'Food Drink & Wine');
INSERT INTO groups_category values (15, 'Games');
INSERT INTO groups_category values (16, 'Government');
INSERT INTO groups_category values (17, 'Hobbies & Crafts');
INSERT INTO groups_category values (18, 'Money');
INSERT INTO groups_category values (19, 'Music');
INSERT INTO groups_category values (20, 'Nightlife');
INSERT INTO groups_category values (21, 'Pets & Animals');
INSERT INTO groups_category values (22, 'Places');
INSERT INTO groups_category values (23, 'Romance & Relationships');
INSERT INTO groups_category values (24, 'Science & History');
INSERT INTO groups_category values (25, 'Religion');
INSERT INTO hair_color values (1, 'Black', 0);
INSERT INTO hair_color values (2, 'Brown', 0);
INSERT INTO hair_color values (3, 'Gray', 0);
INSERT INTO hair_color values (4, 'Blue', 0);
INSERT INTO hair_color values (6, 'Red', 1);
INSERT INTO hair_color values (7, 'Dark Black', 1);
INSERT INTO hair_color values (8, 'purple', 1);
INSERT INTO height values (1, '5.5"');
INSERT INTO height values (2, '5.6"');
INSERT INTO height values (3, '5.7"');
INSERT INTO height values (4, '5.8"');
INSERT INTO height values (5, '5.9"');
INSERT INTO height values (6, '5.10"');
INSERT INTO language values (1, 'Arabic');
INSERT INTO language values (2, 'Bengali');
INSERT INTO language values (3, 'Bulgarian');
INSERT INTO language values (4, 'Chinese');
INSERT INTO language values (5, 'Czech');
INSERT INTO language values (6, 'Dutch');
INSERT INTO language values (7, 'English');
INSERT INTO language values (8, 'Finnish');
INSERT INTO language values (9, 'French');
INSERT INTO language values (10, 'German');
INSERT INTO language values (11, 'Greek');
INSERT INTO language values (12, 'Hebrew');
INSERT INTO language values (13, 'Hindi');
INSERT INTO language values (14, 'Italian');
INSERT INTO language values (15, 'Japanese');
INSERT INTO language values (16, 'Korean');
INSERT INTO language values (17, 'Malay');
INSERT INTO language values (18, 'Norwegian');
INSERT INTO language values (19, 'Persian/Farsi');
INSERT INTO language values (20, 'Polish');
INSERT INTO language values (21, 'Portuguese');
INSERT INTO language values (22, 'Romanian');
INSERT INTO language values (23, 'Russian');
INSERT INTO language values (24, 'Spanish');
INSERT INTO language values (25, 'Swedish');
INSERT INTO language values (26, 'Tagalog');
INSERT INTO language values (27, 'Thai');
INSERT INTO language values (28, 'Urdu');
INSERT INTO language values (29, 'Vietnamese');
INSERT INTO language values (30, 'Yiddish');
INSERT INTO meeting_people values (1, 'Friends');
INSERT INTO meeting_people values (2, 'To Hangout');
INSERT INTO meeting_people values (3, 'Expand my social circle');
INSERT INTO meeting_people values (4, 'Date');
INSERT INTO meeting_people values (5, 'Relationship');
INSERT INTO meeting_people values (6, 'Fun');
INSERT INTO meeting_people values (7, 'Share Interests');
INSERT INTO meeting_people values (8, 'Activities');
INSERT INTO meeting_people values (9, 'Just looking');
INSERT INTO meeting_people values (10, 'Anything');
INSERT INTO meeting_people values (11, 'PenPals');
INSERT INTO meeting_people values (12, 'Roommate');
INSERT INTO meeting_people values (13, 'New Hangout Spots');
INSERT INTO meeting_people values (14, 'Conversation');
INSERT INTO meeting_people values (15, 'Travel');
INSERT INTO meeting_people values (16, 'Workout/Exercise Partners');
INSERT INTO meeting_people values (17, 'Lust');
INSERT INTO meeting_people values (18, 'Chat');
INSERT INTO moods values (1, 'Naughty', '1.gif');
INSERT INTO moods values (2, 'Good', '2.gif');
INSERT INTO moods values (3, 'Cool', '3.gif');
INSERT INTO moods values (4, 'Happy', '4.gif');
INSERT INTO moods values (5, 'Sad', '5.gif');
INSERT INTO moods values (6, 'Confused', '6.gif');
INSERT INTO moods values (7, 'Angry', '7.gif');
INSERT INTO moods values (8, 'Funky', '8.gif');
INSERT INTO moods values (9, 'Lovesick', '9.gif');
INSERT INTO moods values (10, 'Frustrated', '10.gif');
INSERT INTO moods values (11, 'Jovial', '11.gif');
INSERT INTO moods values (12, 'Sleepy', '12.gif');
INSERT INTO personality values (1, 'Adventurous');
INSERT INTO personality values (2, 'Argumentative');
INSERT INTO personality values (3, 'Artistic');
INSERT INTO personality values (4, 'Complusive');
INSERT INTO personality values (5, 'Conservative');
INSERT INTO personality values (6, 'Clean Cut');
INSERT INTO personality values (7, 'Earthy');
INSERT INTO personality values (8, 'Easygoing');
INSERT INTO personality values (9, 'Eccentric');
INSERT INTO personality values (10, 'Flexible');
INSERT INTO personality values (11, 'Flamboyant');
INSERT INTO personality values (12, 'Flirtatious');
INSERT INTO personality values (13, 'Friendly');
INSERT INTO personality values (14, 'High Energy');
INSERT INTO personality values (15, 'High Maintenance');
INSERT INTO personality values (16, 'Humorous');
INSERT INTO personality values (17, 'Intellectual');
INSERT INTO personality values (18, 'Low Maintenance');
INSERT INTO personality values (19, 'Sensitive');
INSERT INTO personality values (20, 'Playful');
INSERT INTO personality values (21, 'Kind');
INSERT INTO personality values (22, 'Nurturing');
INSERT INTO personality values (23, 'Loving');
INSERT INTO personality values (24, 'Outgoing');
INSERT INTO personality values (25, 'Practical');
INSERT INTO personality values (26, 'Procrastinator');
INSERT INTO personality values (27, 'Quiet');
INSERT INTO personality values (28, 'Romantic');
INSERT INTO personality values (29, 'Self Confident');
INSERT INTO personality values (30, 'Serious');
INSERT INTO personality values (31, 'Sophisticated');
INSERT INTO personality values (32, 'Simple');
INSERT INTO personality values (33, 'Shy');
INSERT INTO personality values (34, 'Spirtual');
INSERT INTO personality values (35, 'Stubborn');
INSERT INTO personality values (36, 'Talkative');
INSERT INTO personality values (37, 'Unconventional');
INSERT INTO personality values (38, 'Worldly');
INSERT INTO personality values (39, 'Free-Spirited');
INSERT INTO pets values (1, 'Bird', 0);
INSERT INTO pets values (2, 'Cat', 0);
INSERT INTO pets values (3, 'Dog', 0);
INSERT INTO pets values (4, 'Fish', 0);
INSERT INTO pets values (5, 'Reptile', 0);
INSERT INTO pets values (6, 'Hamster', 0);
INSERT INTO pets values (7, 'Rabbit', 0);
INSERT INTO pets values (14, 'Lion', 1);
INSERT INTO pets values (9, 'I am not a pet person', 0);
INSERT INTO pets values (15, 'am not', 1);
INSERT INTO pets values (16, 'Cheetah', 1);
INSERT INTO pets values (17, 'SDFSD', 1);
INSERT INTO pets values (18, 'dfsdfsdf', 1);
INSERT INTO pets values (19, 'fsdf', 1);
INSERT INTO pets values (20, 'I used to have pets', 1);
INSERT INTO piercings values (1, 'None', 0);
INSERT INTO piercings values (2, 'One', 0);
INSERT INTO piercings values (3, 'Yes', 0);
INSERT INTO piercings values (4, 'No Answer', 0);
INSERT INTO piercings values (5, 'Hello', 1);
INSERT INTO politics values (1, 'Unspecified');
INSERT INTO politics values (2, 'No Answer');
INSERT INTO politics values (3, 'Not Into Politics');
INSERT INTO politics values (4, 'Extreme Liberal');
INSERT INTO politics values (5, 'Left Wing');
INSERT INTO politics values (6, 'Left Wing Moderate');
INSERT INTO politics values (7, 'Liberal');
INSERT INTO politics values (8, 'Midway Moderate');
INSERT INTO politics values (9, 'Moderate');
INSERT INTO politics values (10, 'Conservative');
INSERT INTO politics values (11, 'Right Wing Moderate');
INSERT INTO politics values (12, 'Extreme Conservative');
INSERT INTO politics values (13, 'Right Wing');
INSERT INTO relationship_status values (1, 'Single', 0);
INSERT INTO relationship_status values (2, 'In a Relationship', 0);
INSERT INTO relationship_status values (3, 'Swinger', 0);
INSERT INTO relationship_status values (4, 'Forever Single', 0);
INSERT INTO relationship_status values (5, 'Attached', 1);
INSERT INTO relationship_status values (6, 'In An Open Relationship', 0);
INSERT INTO relationship_status values (7, 'Dating', 1);
INSERT INTO relationship_status values (8, 'Divorced', 0);
INSERT INTO relationship_status values (9, 'Not Looking For Anything', 0);
INSERT INTO relationship_status values (10, 'Married', 0);
INSERT INTO religion values (1, 'Agnostic', 0);
INSERT INTO religion values (2, 'Anglican', 0);
INSERT INTO religion values (3, 'Atheist', 0);
INSERT INTO religion values (4, 'Ba''Hai', 0);
INSERT INTO religion values (5, 'Buddhist', 0);
INSERT INTO religion values (6, 'Catholic', 0);
INSERT INTO religion values (7, 'Christian', 0);
INSERT INTO religion values (8, 'Confucian', 0);
INSERT INTO religion values (9, 'Eastern Orthodox', 0);
INSERT INTO religion values (10, 'Hindu', 0);
INSERT INTO religion values (11, 'Jewish', 0);
INSERT INTO religion values (12, 'Mormon', 0);
INSERT INTO religion values (13, 'Muslim', 0);
INSERT INTO religion values (14, 'Pagan/Wiccan', 0);
INSERT INTO religion values (15, 'Protestant', 0);
INSERT INTO religion values (16, 'Shinto', 0);
INSERT INTO religion values (17, 'Spirtual', 0);
INSERT INTO religion values (18, 'Unitarian Universalist', 0);
INSERT INTO religion values (20, 'Sikh', 1);
INSERT INTO religion values (24, 'Human Being', 1);
INSERT INTO religion values (25, 'sss', 1);
INSERT INTO sexual_orientation values (1, 'Bisexual');
INSERT INTO sexual_orientation values (2, 'Lesbian');
INSERT INTO sexual_orientation values (3, 'Straight');
INSERT INTO sexual_orientation values (4, 'Gay');
INSERT INTO sexual_orientation values (5, 'Straight But Curious');
INSERT INTO sexual_orientation values (6, 'Gay But Curious');
INSERT INTO sexual_orientation values (7, 'I Don''t Categorize Myself');
INSERT INTO sexual_orientation values (8, 'Unsure');
INSERT INTO sexual_orientation values (9, 'No Answer');
INSERT INTO sexual_orientation values (10, 'Open-Minded');
INSERT INTO sexual_orientation values (11, 'Confused');
INSERT INTO sexual_orientation values (12, 'Transgender');
INSERT INTO site_settings values (1);
INSERT INTO smoker values (1, 'Yes');
INSERT INTO smoker values (2, 'No');
INSERT INTO smoker values (3, 'Socially');
INSERT INTO smoker values (4, 'Sometimes');
INSERT INTO smoker values (5, 'Quitting');
INSERT INTO smoker values (6, 'Quit on and off');
INSERT INTO smoker values (7, 'No, don''t mind it though');
INSERT INTO smoker values (8, 'No, I hate smoke');
INSERT INTO state values (1, 'AL', 'Alabama\r');
INSERT INTO state values (2, 'AK', 'Alaska  \r');
INSERT INTO state values (4, 'AZ', 'Arizona     \r');
INSERT INTO state values (5, 'AR', 'Arkansas    \r');
INSERT INTO state values (6, 'CA', 'California  \r');
INSERT INTO state values (7, 'CO', 'Colorado      \r');
INSERT INTO state values (8, 'CT', 'Connecticut     \r');
INSERT INTO state values (9, 'DE', 'Delaware         \r');
INSERT INTO state values (10, 'DC', 'District of Columbia \r');
INSERT INTO state values (12, 'FL', 'Florida        \r');
INSERT INTO state values (13, 'GA', 'Georgia\r');
INSERT INTO state values (15, 'HI', 'Hawaii\r');
INSERT INTO state values (16, 'ID', 'Idaho\r');
INSERT INTO state values (17, 'IL', 'Illinois\r');
INSERT INTO state values (18, 'IN', 'Indiana\r');
INSERT INTO state values (19, 'IA', 'Iowa\r');
INSERT INTO state values (20, 'KS', 'Kansas\r');
INSERT INTO state values (21, 'KY', 'Kentucky\r');
INSERT INTO state values (22, 'LA', 'Louisiana\r');
INSERT INTO state values (23, 'ME', 'Maine\r');
INSERT INTO state values (25, 'MD', 'Maryland\r');
INSERT INTO state values (26, 'MA', 'Massachusetts\r');
INSERT INTO state values (27, 'MI', 'Michigan\r');
INSERT INTO state values (28, 'MN', 'Minnesota\r');
INSERT INTO state values (29, 'MS', 'Mississippi\r');
INSERT INTO state values (30, 'MO', 'Missouri\r');
INSERT INTO state values (31, 'MT', 'Montana\r');
INSERT INTO state values (32, 'NE', 'Nebraska\r');
INSERT INTO state values (33, 'NV', 'Nevada\r');
INSERT INTO state values (34, 'NH', 'New Hampshire\r');
INSERT INTO state values (35, 'NJ', 'New Jersey\r');
INSERT INTO state values (36, 'NM', 'New Mexico\r');
INSERT INTO state values (37, 'NY', 'New York\r');
INSERT INTO state values (38, 'NC', 'North Carolina\r');
INSERT INTO state values (39, 'TX', 'Texas\r');
INSERT INTO tattoos values (1, 'None', 0);
INSERT INTO tattoos values (2, 'One', 0);
INSERT INTO tattoos values (3, 'Inked', 0);
INSERT INTO tattoos values (4, 'No Answer', 0);
INSERT INTO tattoos values (5, 'SpiderMan', 1);
INSERT INTO theme values (1, 'Default', 'Verdana', '#EEEEEE', 'styles/default/header.gif', '#DCDCDC', '#000000', 'styles/default/logo.gif', 'Verdana', '96%', 'styles/default/subheader.gif', '#EDEDED', 1);
INSERT INTO blog_template (Id, Name, Image, SamplePath) values (1, 'White Beauty', 'image_template1.gif', 'template1');
INSERT INTO blog_template (Id, Name, Image, SamplePath) values (2, 'Black Dragon', 'image_template2.gif', 'template2');
INSERT INTO gifts (Id, ThemeId, Name, Image1, Price, Description, Featured, InitialQuantity, QuantityLeft, Posted_Date) values (1, 1, 'Blue Fly', 'image_12.gif', 1.42, 'The chapters are written by some of the most prominent researchers in the field, introducing the basic technical material before taking the reader.', 0, 100, 100, '1125746548');
INSERT INTO gifts (Id, ThemeId, Name, Image1, Price, Description, Featured, InitialQuantity, QuantityLeft, Posted_Date) values (2, 2, 'Rambo', 'image_11.gif', 1.20, 'The chapters are written by some of the most prominent researchers in the field, introducing the basic technical material before taking the reader.', 1, 13, 13, '1125746767');
INSERT INTO gift_theme (Id, Theme_Title) values (1, 'Toys');
INSERT INTO gift_theme (Id, Theme_Title) values (2, 'Cart');
INSERT INTO blog_category (cat_id, cat_desc, blog_id, blog_name) values (1, 'General', 0, '');
INSERT INTO blog_category (cat_id, cat_desc, blog_id, blog_name) values (2, 'Music', 0, '');
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (1, 'Biz Services', '1', 0);
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (2, 'Automotive', '1', 1);
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (3, 'Creative', '1', 1);
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (4, 'HealthCare Services', '1', 1);
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (5, 'Events', '1', 0);
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (6, 'Parties', '1', 5);
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (7, 'Bands/Gigs', '1', 5);
INSERT INTO classi_category (Id, Title, AllowAd, Parent) values (8, 'Concerts', '1', 5);
INSERT INTO coupons (Id, ChargeValue, Value) values (1, 1, 10);
INSERT INTO coupons (Id, ChargeValue, Value) values (2, 1, 200);
INSERT INTO forum_category (CatId, CatTitle, CatOrder) values (1, 'Love and Friendship', 1);
INSERT INTO forum_category (CatId, CatTitle, CatOrder) values (2, 'General Board', 2);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (1, 1, 'Friendship and love quotes', 'Looking for some quote or want to say something about your favorite quote than use this forum, Click on new thread button to Submit a quote.', 1, 1, 0, 0, 0);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (2, 1, 'Friendship Advice and Discussions', 'Friendship advice Friends or More Than Friends ? advice on dealing with problems with your friends and other friendship-related questions ', 1, 2, 0, 0, 0);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (3, 1, 'Relationship Advice and Love Talk', 'Get free help with your relationships and talk about anything related to love. Relationship Advice for guys and girls.', 1, 3, 0, 0, 0);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (4, 1, 'Poems, Poetry & Writings', 'Share your poems, poetry, stories and writings and read the material submitted by others.', 1, 4, 0, 0, 0);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (5, 1, 'Love Songs', 'Talk about your favorite Love Songs, Singers here and Suggest me songs that you want to be included  in love Lyrics section ', 1, 5, 0, 0, 0);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (6, 1, 'Dedicate Quotes, Poems or Songs', 'Dedicate a message ,quote ,song or poem to your loved ones to show them you love and care about them. You can send a message to your spouse, friend, mom, dad or to anyone who you care about deeply. ', 1, 6, 0, 0, 0);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (7, 2, 'Suggestions and Feedback', 'Give suggestions and feedback for website and these discussion boards.', 1, 7, 0, 0, 0);
INSERT INTO forum_forums (ForumId, CatId, ForumName, ForumDescription, ForumStatus, ForumOrder, ForumPosts, ForumTopics, ForumLastPostId) values (8, 2, 'Introduce Yourself', 'New to forums?Please  take a while to introduce yourself to fellow members, Make Friends and Have Fun!', 1, 8, 0, 0, 0);
INSERT INTO gift_box (Id, Image, Title) values (1, 'box_3.gif', 'Bell');
INSERT INTO gift_box (Id, Image, Title) values (2, 'box_8.jpg', 'Box');
INSERT INTO mail_template (id, name, subject, admin_email, msg) values (1, 'Funny Emails', 'Get Ready For Some Fun', 'sales@thereactive.com', 'Hi Guys,\r\nThis is something we would like to announce.\r\nThis is a new technique and this has nothing to do with the new module.\r\nWe would like to announce this and this has nothing to do with the new module.\r\n\r\nNew mails will be sent.\r\nOh Boy.\r\n\r\nBoy.');
INSERT INTO mail_template (id, name, subject, admin_email, msg) values (2, 'Music News', 'This is a new template.', 'sales@home.com', 'USA is hot. India is cool.');
INSERT INTO avatars (AvatarId, Image, Personal) values (1, 'avatar_1.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (2, 'avatar_2.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (3, 'avatar_3.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (4, 'avatar_4.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (5, 'avatar_5.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (6, 'avatar_6.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (7, 'avatar_7.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (8, 'avatar_8.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (9, 'avatar_9.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (10, 'avatar_10.jpg', 0);
INSERT INTO avatars (AvatarId, Image, Personal) values (11, 'avatar_11.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (12, 'avatar_12.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (13, 'avatar_13.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (14, 'avatar_14.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (15, 'avatar_15.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (18, 'avatar_18.gif', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (23, 'avatar_23.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (21, 'avatar_21.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (22, 'avatar_22.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (24, 'avatar_24.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (25, 'avatar_25.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (26, 'avatar_26.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (27, 'avatar_27.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (28, 'avatar_28.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (29, 'avatar_29.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (30, 'avatar_30.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (31, 'avatar_31.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (32, 'avatar_32.jpg', 1);
INSERT INTO avatars (AvatarId, Image, Personal) values (33, 'avatar_33.jpg', 1);
INSERT INTO lockbox (QuestionId, Question, Answer, GiftId, MaxAmount) values (1, 'Which computer accessory operates without power?', 'Mouse Pad', 1, 10);
INSERT INTO lockbox (QuestionId, Question, Answer, GiftId, MaxAmount) values (2, 'What is the opposite of sex?', 'xes', 2, 10);
INSERT INTO lockbox (QuestionId, Question, Answer, GiftId, MaxAmount) values (3, 'Who killed Mayor?', 'Who', 1, 30);
INSERT INTO lockbox (QuestionId, Question, Answer, GiftId, MaxAmount) values (4, 'Whats common between Tim and Nick?', '2', 10, 10);
INSERT INTO lockbox (QuestionId, Question, Answer, GiftId, MaxAmount) values (5, 'Who loves Nick?', 'Who', 1, 20);
INSERT INTO event_category values (1, 'Community', '1', 'event_1.jpg');
INSERT INTO event_category values (2, 'Band Shows', '1', 'event_2.jpg');
INSERT INTO event_category values (3, 'Clubs & DJs', '1', 'event_event3.jpg');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (1,'home','index.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (2,'friends','friends.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (3,'invite','invite.php?process=1','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (4,'mailbox','mailbox.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (5,'blogs','blogs.php?action=dashboard','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (6,'chat','chat.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (7,'forums','forums.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (8,'groups','groups.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (9,'my gifts','mygifts.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (10,'gift shop','vgifts.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (11,'events','events.php?action=main','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (12,'classifieds','classifieds.php','1');
INSERT INTO client_module_category(CategoryId,CategoryTitle,CategoryFile,Active) values (13,'search','search.php','1');
INSERT INTO admin_users(Username,Password,FirstName,LastName,Email,GroupId,Status) VALUES ('admin', '@@ADMIN_PASSWD@@', 'Admin','', '@@ADMIN_EMAIL@@', '1', '1');
INSERT INTO site_custom_settings (activationtype, imageapprovaltype, albumapprovaltype, optimizeimage, maximagesize, maxzipsize, allowedimagetypes, logoimage, styles, paymentmethod, authorizeloginid, authorizetranskey, authorizepassword, authorizeemail, authorizedemo ) VALUES ( 'E', 'A', 'A', 'N', '1048576', '2097152', 'gif,jpg,jpeg', 'logo.gif', 'cyan.css', 'NN', '', '', '', '', 'NO');
